﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Problems.DataAnalysis;
using HeuristicLab.Core;
using HeuristicLab.Common;
using HeuristicLab.Problems.DataAnalysis.Symbolic.Regression;

namespace HeuristicLab.Problems.TradeRules
{
    public interface ITradeRulesSolution : IDataAnalysisSolution
    {
        new ISymbolicRegressionModel Model { get; }
        new IRegressionProblemData ProblemData { get; set; }

        IEnumerable<double> EstimatedTestValues { get; }
        IEnumerable<double> EstimatedTrainingValues { get; }
        IEnumerable<double> EstimatedValues { get; }
        IEnumerable<double> GetEstimatedValues(IEnumerable<int> rows);
        
        double TestCash { get; }
        double TrainingCash { get; }      
    }
}
